# Ogre::ExceptionCodeType< num > Struct Template Reference

Template struct which creates a distinct type for each exception code. More...

`#include <OgreException.h>`

List of all members.

## Public Types

enum | { number = num }

## Detailed Description

### template<int num>
struct Ogre::ExceptionCodeType< num >

Template struct which creates a distinct type for each exception code.

Note:
  This is useful because it allows us to create an overloaded method for returning different exception types by value without ambiguity. From 'Modern C++ Design' (Alexandrescu 2001).

Definition at line 181 of file OgreException.h.

## Member Enumeration Documentation

template<int num>

anonymous enum

Enumerator:

  number |

Definition at line 183 of file OgreException.h.

The documentation for this struct was generated from the following file:

- OgreException.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:27:55 2009